/*-------------------------------------------------------------------------+
|                                                                          |
| Copyright 2005-2011 The ConQAT Project                                   |
|                                                                          |
| Licensed under the Apache License, Version 2.0 (the "License");          |
| you may not use this file except in compliance with the License.         |
| You may obtain a copy of the License at                                  |
|                                                                          |
|    http://www.apache.org/licenses/LICENSE-2.0                            |
|                                                                          |
| Unless required by applicable law or agreed to in writing, software      |
| distributed under the License is distributed on an "AS IS" BASIS,        |
| WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. |
| See the License for the specific language governing permissions and      |
| limitations under the License.                                           |
+-------------------------------------------------------------------------*/
package org.conqat.ide.commons.ui.pref;

import org.conqat.ide.commons.ui.validators.AntPatternValidator;
import org.eclipse.jface.dialogs.InputDialog;
import org.eclipse.swt.widgets.Composite;

/**
 * A field editor for dealing with lists of ANT pattern.
 * 
 * @author $Author: hummelb $
 * @version $Rev: 32168 $
 * @ConQAT.Rating GREEN Hash: 2A4DE66D1E23C54688BFAFD09B996E74
 */
public class AntPatternListEditor extends PatternListEditorBase {

	/** Constructor. */
	public AntPatternListEditor(String name, String labelText, Composite parent) {
		super(name, labelText, parent);
	}

	/** {@inheritDoc} */
	@Override
	protected InputDialog createInputDialog() {
		return new InputDialog(getShell(), "ANT pattern input",
				"Enter ANT pattern", "", new AntPatternValidator());
	}
}